PO4A-UPDATEPO.1P(1)

NAME
po4a-updatepo - update the translation (in PO format) of documentation

SYNOPSIS
po4a-updatepo -f fmt (-m master.doc)+ (-p XX.po)+

(XX.po are the outputs, all others are inputs)

DESCRIPTION
The po4a (PO for anything) project goal is to ease translations (and more interestingly, the maintenance of translations) using gettext tools on areas where they were not expected like documentation.

The po4a-updatepo script is in charge of updating PO files to make them reflect the changes made to the original documentation file. For that, it converts the documentation file to a POT file, and call msgmerge(1) on this new POT and on the provided PO files.

It is possible to give more than one PO file (if you want to update several languages at once), and several documentation files (if you want to store the translations of several documents in the same PO file).

If the master document has non-ASCII characters, this script will convert the PO files to UTF-8 (if they weren't already), for a transparent handling of non-standard characters.

OPTIONS

-f, --format
    Format of the documentation you want to handle. Use the --help-format option to see the list of available formats.

-m, --master
    File(s) containing the master document to translate.

-M, --master-charset
    Charset of the files containing the document to translate. Note that all files must have the same charset.

-p, --po
    PO file(s) to update. If these files do not exist, they are created by po4a-updatepo.

-o, --option
    Extra option(s) to pass to the format plugin. See the documentation of each plugin for more information about the valid options and their meanings. For example, you could pass '-o tablecells' to the AsciiDoc parser, while the text parser would accept '-o tabs=split'.

--no-previous
    This option removes --previous from the options passed to msgmerge. This helps supporting old versions of gettext (before v0.16).

--previous
    This option adds --previous to the options passed to msgmerge. It requires gettext 0.16 or later, and is activated by default.

--msgmerge-opt options
    Extra options for msgmerge(1).

-h, --help
    Show a short help message.

--help-format
    List the documentation formats understood by po4a.

-V, --version
    Display the version of the script and exit.

-v, --verbose
    Increase the verbosity of the program.

-d, --debug
    Output some debugging information.

--porefs type[,wrap|nowrap]
    Specify the reference format. Argument type can be one of never to not produce any reference, file to only specify the file without the line number, counter to replace line number by an increasing counter, and full to include complete references (default: full).

    Argument can be followed by a comma and either wrap or nowrap keyword. References are written by default on a single line. The wrap option wraps references on several lines, to mimic gettext tools (xgettext and msgmerge). This option will become the default in a future release, because it is more sensible. The nowrap option is available so that users who want to keep the old behavior can do so.

--wrap-po no|newlines|number (default: 76)
    Specify how the po file should be wrapped. This gives the choice between either files that are nicely wrapped but could lead to git conflicts, or files that are easier to handle automatically, but harder to read for humans.

    Historically, the gettext suite has reformatted the po files at the 77th column for cosmetics. This option specifies the behavior of po4a. If set to a numerical value, po4a will wrap the po file after this column and after newlines in the content. If set to newlines, po4a will only split the msgid and msgstr after newlines in the content. If set to no, po4a will not wrap the po file at all. The wrapping of the reference comments is controlled by the --porefs option.

    Note that this option has no impact on how the msgid and msgstr are wrapped, ie on how newlines are added to the content of these strings.

--msgid-bugs-address email@address
    Set the report address for msgid bugs. By default, the created POT files have no Report-Msgid-Bugs-To fields.

--copyright-holder string
    Set the copyright holder in the POT header. The default value is "Free Software Foundation, Inc."

--package-name string
    Set the package name for the POT header. The default is "PACKAGE".

--package-version string
    Set the package version for the POT header. The default is "VERSION".

SEE ALSO
po4a-gettextize(1), po4a-normalize(1), po4a-translate(1), po4a(7)

AUTHORS
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

COPYRIGHT AND LICENSE
Copyright 2002-2020 by SPI, inc.

This program is free software; you may redistribute it and/or modify it under the terms of GPL (see the COPYING file).